Package org.opensaml.xmlsec.encryption.impl

# Class CipherDataImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.encryption.impl.CipherDataImpl

All Implemented Interfaces:
  `XMLObject`, `CipherData`

public class CipherDataImpl extends AbstractXMLObject implements CipherData
Concrete implementation of `CipherData`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private CipherReference`
`cipherReference`
CipherReference child element.
`private CipherValue`
`cipherValue`
CipherValue child element.

### Fields inherited from interface org.opensaml.xmlsec.encryption.CipherData

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CipherDataImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`CipherReference`
`getCipherReference()`
Get the CipherReference which points to the location encrypted data.
`CipherValue`
`getCipherValue()`
Get the base64-encoded data representing the encrypted form of the plaintext data.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setCipherReference(CipherReference newCipherReference)`
Get the CipherReference which points to the location encrypted data.
`void`
`setCipherValue(CipherValue newCipherValue)`
Set the base64-encoded data representing the encrypted form of the plaintext data.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### cipherValue

@Nullable private CipherValue cipherValue
CipherValue child element.

### cipherReference

@Nullable private CipherReference cipherReference
CipherReference child element.

## Constructor Details

### CipherDataImpl

protected CipherDataImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace URI
  `elementLocalName` - local name
  `namespacePrefix` - namespace prefix

## Method Details

### getCipherValue

@Nullable public CipherValue getCipherValue()
Get the base64-encoded data representing the encrypted form of the plaintext data.

Specified by:
  `getCipherValue` in interface `CipherData`
Returns:
  base64-encoded encrypted value

### setCipherValue

public void setCipherValue(@Nullable CipherValue newCipherValue)
Set the base64-encoded data representing the encrypted form of the plaintext data.

Specified by:
  `setCipherValue` in interface `CipherData`
Parameters:
  `newCipherValue` - the new base64-encoded encrypted data

### getCipherReference

@Nullable public CipherReference getCipherReference()
Get the CipherReference which points to the location encrypted data.

Specified by:
  `getCipherReference` in interface `CipherData`
Returns:
  CipherReference child element representing the encrypted data

### setCipherReference

public void setCipherReference(@Nullable CipherReference newCipherReference)
Get the CipherReference which points to the location encrypted data.

Specified by:
  `setCipherReference` in interface `CipherData`
Parameters:
  `newCipherReference` - the new CipherReference child element

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements